<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function updateHits()
{
  $query = 'UPDATE HITS SET hitsno = hitsno + 1';
  mysql_query($query);
}

function readHits()
{
  $query = 'SELECT hitsno FROM HITS';
  if(!$result = mysql_query($query)){
    return false;
  }
  if(!$row = mysql_fetch_array($result)){
    return false;
  }
  $hitsNo = $row[0];
  return $hitsNo;
}

$link = mysql_connect("localhost", "test", "test");
mysql_select_db("test");

updateHits();
$hits = readHits();

mysql_close($link);
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Licznik</title>
</head>
<body>
<div>
Ta strona została odwiedzona <?php echo $hits; ?> razy.
</div>
</body>
</html>
